Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# CXmlEdit Class Reference
[XML Parser]

Inheritance diagram for CXmlEdit:

## Detailed Description

XML Parser class editable extention.

This class allows modifing the structure of parsed XML tree.

## Public Methods

void | setName (const String *newname)
bool | addParam (const String *name, const String *val)
bool | addParam (const String *name, int val)
bool | addParam (const String *name, double val)
bool | changeContent (const String *data)
bool | removeParam (const String *name)
bool | move (CXmlEdit *parent, CXmlEdit *after)
CXmlEdit * | copyTree (CXmlEdit *el)
int | getLevelSize (int lev)
int | saveLevel (char *dest, int lev)

## Protected Methods

bool | isLoop (CXmlEdit *el, CXmlEdit *parent)

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:55 2003 by doxygen 1.3-rc2.